<div class="container mx-auto mt-5 px-4">
  <h2 class="text-3xl font-bold text-gray-800 mb-6">Vídeos Disponíveis</h2>

  <div class="relative mx-12">
    <button (click)="changePage(currentPage - 1)" [disabled]="currentPage === 1"
            class="fixed left-0 top-1/2 transform -translate-y-1/2 bg-gray-300 hover:bg-gray-400 text-gray-800 font-bold py-2 px-4 rounded-l">
      <svg class="h-5 w-5" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M15 19l-7-7 7-7"/>
      </svg>
    </button>

    <div class="grid grid-cols-1 md:grid-cols-2 lg:grid-cols-3 gap-6">
      <ng-template ngFor let-video [ngForOf]="videos" let-i="index">
        <div class="rounded-lg shadow-lg overflow-hidden transition-transform transform hover:scale-105">
          <div class="relative">
            <video controls class="aspect-video">
              <source [src]="getVideoUrl(video)" type="video/mp4">
              Seu navegador não suporta o elemento de vídeo.
            </video>
          </div>
          <div class="p-4 bg-white">
            <h5 class="text-xl font-semibold text-gray-900">{{ video.metadata.name }}</h5>
            <p class="text-gray-700 mt-2">
              <span class="font-medium">Autor:</span> {{ video.metadata.author }}<br>
              <span
                class="font-medium">Data de Criação:</span> {{ video.metadata.createDate | date:'dd/MM/yyyy HH:mm:ss' }}
            </p>
            <div class="mt-3 space-x-2">
              <span *ngFor="let tag of video.metadata.tags"
                    class="inline-flex items-center px-3 py-1 rounded-full text-xs font-medium bg-gray-200 text-gray-800">
                {{ tag }}
              </span>
            </div>
          </div>
        </div>
      </ng-template>
    </div>

    <button (click)="changePage(currentPage + 1)" [disabled]="currentPage === totalPages"
            class="fixed right-0 top-1/2 transform -translate-y-1/2 bg-gray-300 hover:bg-gray-400 text-gray-800 font-bold py-2 px-4 rounded-r">
      <svg class="h-5 w-5" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke="currentColor">
        <path stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M9 5l7 7-7 7"/>
      </svg>
    </button>
  </div>
</div>
